import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/centralappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'appmenu',
        items:  [
            {
	id: 'd15157cb8d73af87f553f85887fdcbf8',
	name: 'user_menus',
	text: '用户菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '用户菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '76d07a396b5ff6dfe8156b969ef9fb6a',
	name: 'menuitem3',
	text: '设置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '设置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-newspaper-o',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
		{
	id: '150d5d0c57788f79b3a22edbea800198',
	name: 'menuitem4',
	text: '注销',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '注销',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-level-down',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
	],
},
            {
	id: '4aea3655e93af303beba942116b04a31',
	name: 'top_menus',
	text: '顶部菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '顶部菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'eb55b353236f5f89b8ae1fada8f1c89d',
	name: 'menuitem6',
	text: '操作日志',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '操作日志',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-bug',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
	],
},
            {
	id: 'e5dcbd32f6a4050109f54d97de44b715',
	name: 'left_exp',
	text: '左侧导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '左侧导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'a5fe2a10b09c528eb0d973882289d2b2',
	name: 'menuitem1',
	text: '产品管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '产品管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-th-list',
	icon: '',
	textcls: '',
	appfunctag: '_2',
	resourcetag: '',
},
		{
	id: '34a8609f2b9bef40fe453d30d946e704',
	name: 'menuitem2',
	text: '客户',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '客户',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-puzzle-piece',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
		{
	id: '8a82fdd165372d7629f2b969ef75b9cd',
	name: 'menuitem5',
	text: '统计分析',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '统计分析',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-line-chart',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
	],
},
            {
	id: 'a204fcf70ab1a00c493e7128f2cfcd81',
	name: 'bottom_exp',
	text: '底部内容',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部内容',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '1c23002189e603110b9858de93d5a01d',
	name: 'footer_left',
	text: '底部左侧',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部左侧',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '28eaf24dc5f9fec02d69fc36e74b1713',
	name: 'footer_center',
	text: '底部中间',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部中间',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '908c555e923dbc2137a9998e1065a700',
	name: 'footer_right',
	text: '底部右侧',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部右侧',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
        ],
    }];
});

